%zu Kapitel 14.5.2.1, Bild 14.5-5
%bsp_14_5_02_m.m, bsp_14_5_02.mdl
%Regelkreis mit Zweipunkt-Element
%Regelstrecke mit PT1-Elemente und Totzeit

e1 = 0.1;  e2 = 0.1;
y1 = 0.1;  y2 = 0.5;
KS = 4.0;  TS = 5.0;

clf;
sim ('bsp_14_5_02')  
hold on
tmin = -2.0; tmax = 20;
ymin = -0.1; ymax = 1.4;
axis ([tmin tmax ymin ymax])
plot([tmin tmax],[0 0],'r-')
plot([0 0],[ymin ymax],'r-')
plot ([3.6 tmax], [1+e1 1+e1],'k--'); 
plot ([3.6 tmax], [1-e2 1-e2],'k--'); 
plot ([3.6 tmax], [1 1],'k--'); 
plot(t, x,'-') % x(t), y(t)
title  ('Zweipunktregler mit  y_1 = 0.1, y_2 = 0.5, e_1 = 0.1, e_2 = 0.1')
xlabel ('t / s') 
ylabel ('Regelgre  x(t), Stellgre  y(t)')
grid on
text (2.1, 1.10,'w_0+e_1');
text (2.1, 0.90,'w_0-e_2');
text (2.1, 1.0 ,'  w_0');
text (2.4, 0.7,'x(t)');
text (5.3, 0.5,'y(t)');

hold off