%PID_Struktur_ideal_2DOF_Beispiel_z_m.m
%PID_Struktur_ideal_2DOF_Beispiel_z.mdl

TS = 5;
KS = 1;
T = 1;
KR = 2;
TN = 15;
TV = 1;
T1 = 0.2;
b = 0.25;
c = 0.4;
sim('PID_Struktur_ideal_2DOF_Beispiel_z')
stairs(t_x_y_PID.time, t_x_y_PID.signals.values(:,1:3), 'k')
grid on, axis ([-1 50 0 1.8])
xlabel ('Zeit  kT / s'), ylabel ('Regelgre x(kT)')
title  ('Sprungantwortfolge x(kT) des Regelkreises fr b = 0.25, c = 0.4; b = c = 1')
text (0.10, 1.03, 'w(kT)')
text (18.5, 1.46, 'x(kT), b = c = 1')
text (7.25, 0.65, 'x(kT), b = 0.25, c = 0.4')
hold on
plot([0 0],[0 1],'k')