%Abschnitt 14.5-3, Beispiel 14.5-3
%bsp_14_5_03a_m.m, bsp_14_5_03a.mdl
%Regelkreis mit Dreipunkt-Element und I-Element
%Regelstrecke mit Verzgerungs-Element

e1 = 0.05; e2 = 0.05; KIR = 0.005; 
KS = 4; TS = 12; w0 = 1; 
clf;
sim ('bsp_14_5_03a')  
hold on
tmin = -10.0; tmax = 150;
ymin = -1.1; ymax = 1.2;
axis ([tmin tmax ymin ymax])
plot([tmin tmax],[0 0],'r-')
plot([0 0],[ymin ymax],'r-')
plot(t, x,'-') % x(t), y(t)

title  ('Dreipunktregler mit e_1 = 0.05, e_2 = 0.05, K_I_R = 0.005 1/s')
xlabel ('t / s') 
ylabel ('Regelgre  x(t), Stellgre y  _D(t), y(t)')
grid on
text (28, 0.50,'x(t)');
text (61, 0.7,'y_D(t)');
text (70, 0.34,'y(t)');

