%MATLAB Script-File sf_plan3_167.m
%Signalflussplan mit z-bertragungsfunktionen                                
KI=0.042; T=1; %I-Regler (Typ I), Abtastzeit
numGR=KI*T; denGR=[1 -1];		%GR(z)
GR=tf(numGR,denGR,T);			%GR(s), Abtastzeit T

KS=3; TS=2;                     %PT1-Strecke
numGS=KS; denGS=[TS 1];			%Zhler- u. Nennerpolyn. fr GS(s)
GS=tf(numGS,denGS);				%GS(s)
GHS=c2d(GS,T,'zoh');			%GHS(z)

%z-Fhrungsbertragungsfunktion: x(z)/w(z):
GRS=GR*GHS; 					%GRS(z)
fprintf('\nz-Fhrungsbertragungsfunktion x(z)/w(z):')
G=feedback(GRS,1)				%G(z) ausgeben

%z-bertragungsfunktion fr die Stellgre: y(z)/w(z):
fprintf('\nz-Stellgren-bertragungsfunktion y(z)/w(z):')
Gy=feedback(GR,GHS) 			%Gy(z) ausgeben
